org.keycloak.authentication

## Class ExplainedVerificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.common.VerificationException
      - - org.keycloak.authentication.ExplainedVerificationException

- All Implemented Interfaces:
    Serializable

      public class ExplainedVerificationException
      extends VerificationException

  Author:
    hmlnarik
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExplainedVerificationException(String errorEvent)`
    `ExplainedVerificationException(String errorEvent, String message)`
    `ExplainedVerificationException(String errorEvent, String message, Throwable cause)`
    `ExplainedVerificationException(String errorEvent, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorEvent()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExplainedVerificationException

          public ExplainedVerificationException(String errorEvent)

    - #### ExplainedVerificationException

          public ExplainedVerificationException(String errorEvent,
                                                String message)

    - #### ExplainedVerificationException

          public ExplainedVerificationException(String errorEvent,
                                                String message,
                                                Throwable cause)

    - #### ExplainedVerificationException

          public ExplainedVerificationException(String errorEvent,
                                                Throwable cause)

  - ### Method Detail

    - #### getErrorEvent

          public String getErrorEvent()

Copyright © 2021 JBoss by Red Hat. All rights reserved.